diff: install web pages
Peter Ross
petdr at cs.mu.OZ.AU
Thu Nov 19 17:55:21 AEDT 1998
Hi,
This hasn't been completely yet. Review away but expect me to make some
changes as I test it.
Pete.
===================================================================
Estimated hours taken: 1
Place all the install steps for the web site into one file, so that when
I die the web site will live on.
bin/install_webpages:
Install the web pages.
Index: install_webpages
===================================================================
RCS file: install_webpages
diff -N install_webpages
--- /dev/null Wed May 28 10:49:58 1997
+++ install_webpages Thu Nov 19 17:51:49 1998
@@ -0,0 +1,58 @@
+#!/bin/sh
+#
+# install_webpages
+#
+# Responsible for updating the hypermail archive, updating the
+# search database and installing the web pages.
+#
+# Note this script must be run on hydra, have the INSTALL_WEBDIR
+# environment variable set and be run from the top level directory of
+# the w3 module.
+#
+
+whathost=`hostname | sed -e 's/\..*//'`
+if [ $whathost != "hydra" ]
+then
+ echo "install_webpages: must be run on hydra."
+ exit 1
+fi
+
+DIR=${INSTALL_WEBDIR=spec_unknown_value}
+if [ $DIR == "spec_unknown_value" ]
+then
+ echo "install_webpages: INSTALL_WEBDIR not set."
+ exit 1
+fi
+
+if [ ! -e "news.php3" ]
+then
+ echo "install_webpages: must be run from the top level of w3 module."
+ exit 1
+fi
+
+set -x
+
+ #
+ # Rearchive the mailing list.
+ #
+(
+ cd mailing-lists;
+ ./rearchive
+)
+
+ #
+ # Install the web pages
+ #
+cvs update .
+make install
+
+ #
+ # Reindex the web site for searching.
+ #
+umask 002
+
+htdig -c /etc/htdig-mlists.conf # Mailing list
+htmerge -c /etc/htdig-mlists.conf
+
+htdig # Rest of web site.
+htmerge
----
+----------------------------------------------------------------------+
| Peter Ross M Sci/Eng Melbourne Uni |
| petdr at cs.mu.oz.au WWW: www.cs.mu.oz.au/~petdr/ ph: +61 3 9344 9158 |
+----------------------------------------------------------------------+
More information about the developers
mailing list